Bug 445522 - clean up CIFS build warnings
clean up CIFS build warnings
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Jeff Layton
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-07 08:09 EDT by Jeff Layton
Modified: 2009-01-20 15:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:23:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Layton 2008-05-07 08:09:50 EDT
+++ This bug was initially created as a clone of Bug #445412 +++

The recent backported CIFS code throws a lot of build warnings. Clean them up so
that real problems are more readily visible.

-- Additional comment from jlayton@redhat.com on 2008-05-06 16:00 EST --
Created an attachment (id=304679)
patch -- clean up build warnings

The warnings are mostly harmless -- most are due to different *_operations
structs being declared "const". This patch silences them. The resulting code is
a little ugly, but it compiles without warning.

I'll also plan to send this patch along to Steve and Shirish to see if they can
roll this into their backported tarballs.


-- Additional comment from jlayton@redhat.com on 2008-05-06 16:19 EST --
Created an attachment (id=304682)
patch -- clean up build warnings (take #2)

Slightly revised patch. I had the wrong version in some of the #if's, and it
didn't work correctly with RHEL5's kernel.
Comment 2 RHEL Product and Program Management 2008-09-10 18:18:48 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Don Zickus 2008-09-12 21:47:06 EDT
in kernel-2.6.18-113.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 7 errata-xmlrpc 2009-01-20 15:23:58 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.